Ruby: _OnigStackType Struct Reference

Ruby 3.3.4p94 (2024-07-09 revision be1089c8ec5ba40e09b1553e36b3174bf4014d9d)

Data Fields
_OnigStackType Struct Reference

## Data Fields
unsigned int | type
OnigStackIndex | null_check
union { |
struct { |
UChar * pcode |
UChar * pstr |
UChar * pstr_prev |
UChar * pkeep |
} state |
struct { |
int count |
UChar * pcode |
int num |
} repeat |
struct { |
OnigStackIndex si |
} repeat_inc |
struct { |
int num |
UChar * pstr |
OnigStackIndex start |
OnigStackIndex end |
} mem |
struct { |
int num |
UChar * pstr |
} null_check |
struct { |
UChar * ret_addr |
int num |
UChar * pstr |
} call_frame |
struct { |
UChar * abs_pstr |
const UChar * end_pstr |
} absent_pos |
struct { |
long index |
uint8_t mask |
} match_cache_point |
} | u |

## Detailed Description

Definition at line 838 of file regint.h.

## Field Documentation

## ◆ abs_pstr

UChar* _OnigStackType::abs_pstr

Definition at line 878 of file regint.h.

## ◆ count

int _OnigStackType::count

Definition at line 852 of file regint.h.

## ◆ end

OnigStackIndex _OnigStackType::end

Definition at line 864 of file regint.h.

## ◆ end_pstr

const UChar* _OnigStackType::end_pstr

Definition at line 879 of file regint.h.

## ◆ index

long _OnigStackType::index

Definition at line 883 of file regint.h.

## ◆ mask

uint8_t _OnigStackType::mask

Definition at line 884 of file regint.h.

## ◆ null_check

OnigStackIndex _OnigStackType::null_check

Definition at line 840 of file regint.h.

## ◆ num

int _OnigStackType::num

Definition at line 854 of file regint.h.

## ◆ pcode

UChar* _OnigStackType::pcode

Definition at line 843 of file regint.h.

## ◆ pkeep

UChar* _OnigStackType::pkeep

Definition at line 849 of file regint.h.

## ◆ pstr

UChar* _OnigStackType::pstr

Definition at line 844 of file regint.h.

## ◆ pstr_prev

UChar* _OnigStackType::pstr_prev

Definition at line 845 of file regint.h.

## ◆ ret_addr

UChar* _OnigStackType::ret_addr

Definition at line 872 of file regint.h.

## ◆ si

OnigStackIndex _OnigStackType::si

Definition at line 857 of file regint.h.

## ◆ start

OnigStackIndex _OnigStackType::start

Definition at line 863 of file regint.h.

## ◆ type

unsigned int _OnigStackType::type

Definition at line 839 of file regint.h.

The documentation for this struct was generated from the following file:

- regint.h